#!/usr/bin/env python3

from Cryptotools.Numbers.primeNumber import get_n_prime_numbers
import matplotlib.pyplot as plt
#import numpy as np

# Get list of n prime numbers
n = 100
primes = get_n_prime_numbers(n)
print(primes)

# With matplotlib, show into a graphics and try to explain that
plt.rcParams["figure.figsize"] = [7.00, 3.50]
plt.rcParams["figure.autolayout"] = True
for i in range(0, n):
    x = primes[i]
    y = primes[i]
    plt.plot(x, y, marker="o", markersize=2, markeredgecolor="blue")


plt.xlim(0, n)
plt.ylim(0, n)
plt.grid()
plt.show()

